Skip to main content
POST
/
projects
/
{project_id}
/
documents
/
{document_id}
/
metadata-remove-key
Remove all metadata pairs for a key
import requests

url = "https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/documents/{document_id}/metadata-remove-key/"

payload = { "key": "category" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
{
  "removed_count": 123,
  "document": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "file": "<string>",
    "content_type": "application/pdf",
    "computed_pdf_file": "<string>",
    "source": "upload",
    "source_metadata": {},
    "page_count": 123,
    "file_size": 123,
    "metadata": [
      [
        "category",
        "Finance"
      ],
      [
        "region",
        "EMEA"
      ]
    ],
    "status": "active"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.clarifeye.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer

Path Parameters

project_id
string<uuid>
required

UUID of the project

document_id
string<uuid>
required

UUID of the document

Body

application/json
key
string
required

The metadata key to remove

Response

Operation completed

removed_count
integer

Number of pairs removed

document
object